---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadEventTest.dylib'
relocations:
  - { offsetInCU: 0x8C, offset: 0x8C, size: 0x8, addend: 0x0, symName: __ZL14thread_end_cnt, symObjAddr: 0x25FD8, symBinAddr: 0x4058, symSize: 0x0 }
  - { offsetInCU: 0xFF5, offset: 0xFF5, size: 0x8, addend: 0x0, symName: __ZL16thread_mount_cnt, symObjAddr: 0x25FDC, symBinAddr: 0x405C, symSize: 0x0 }
  - { offsetInCU: 0x100E, offset: 0x100E, size: 0x8, addend: 0x0, symName: __ZL18thread_unmount_cnt, symObjAddr: 0x25FE0, symBinAddr: 0x4060, symSize: 0x0 }
  - { offsetInCU: 0x1027, offset: 0x1027, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x25FD0, symBinAddr: 0x4050, symSize: 0x0 }
  - { offsetInCU: 0xAEA9, offset: 0xAEA9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1440, symSize: 0x30 }
  - { offsetInCU: 0xB15B, offset: 0xB15B, size: 0x8, addend: 0x0, symName: _VirtualThreadEnd, symObjAddr: 0xE90, symBinAddr: 0x1470, symSize: 0x10 }
  - { offsetInCU: 0xB30A, offset: 0xB30A, size: 0x8, addend: 0x0, symName: _VirtualThreadMount, symObjAddr: 0xEA0, symBinAddr: 0x1480, symSize: 0x320 }
  - { offsetInCU: 0xB722, offset: 0xB722, size: 0x8, addend: 0x0, symName: _VirtualThreadUnmount, symObjAddr: 0x11C0, symBinAddr: 0x17A0, symSize: 0x3D0 }
  - { offsetInCU: 0xBC5E, offset: 0xBC5E, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadEndCount, symObjAddr: 0x1590, symBinAddr: 0x1B70, symSize: 0x10 }
  - { offsetInCU: 0xBCDD, offset: 0xBCDD, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadMountCount, symObjAddr: 0x15A0, symBinAddr: 0x1B80, symSize: 0x10 }
  - { offsetInCU: 0xBD5C, offset: 0xBD5C, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadUnmountCount, symObjAddr: 0x15B0, symBinAddr: 0x1B90, symSize: 0x10 }
  - { offsetInCU: 0xBFAF, offset: 0xBFAF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x15C0, symBinAddr: 0x1BA0, symSize: 0x350 }
  - { offsetInCU: 0xC5F7, offset: 0xC5F7, size: 0x8, addend: 0x0, symName: __ZL14find_ext_eventP9_jvmtiEnvPKc, symObjAddr: 0x19C0, symBinAddr: 0x1FA0, symSize: 0xB0 }
  - { offsetInCU: 0xC710, offset: 0xC710, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1910, symBinAddr: 0x1EF0, symSize: 0xB0 }
  - { offsetInCU: 0xC777, offset: 0xC777, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.11, symObjAddr: 0x1CB0, symBinAddr: 0x2290, symSize: 0x3B }
  - { offsetInCU: 0xC7A3, offset: 0xC7A3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.10, symObjAddr: 0x1C70, symBinAddr: 0x2250, symSize: 0x40 }
  - { offsetInCU: 0xC7CF, offset: 0xC7CF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.1, symObjAddr: 0x1A70, symBinAddr: 0x2050, symSize: 0x30 }
  - { offsetInCU: 0xC7FB, offset: 0xC7FB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.2, symObjAddr: 0x1AA0, symBinAddr: 0x2080, symSize: 0x40 }
  - { offsetInCU: 0xC827, offset: 0xC827, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.3, symObjAddr: 0x1AE0, symBinAddr: 0x20C0, symSize: 0x30 }
  - { offsetInCU: 0xC853, offset: 0xC853, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.4, symObjAddr: 0x1B10, symBinAddr: 0x20F0, symSize: 0x40 }
  - { offsetInCU: 0xC87F, offset: 0xC87F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.9, symObjAddr: 0x1C30, symBinAddr: 0x2210, symSize: 0x40 }
  - { offsetInCU: 0xC8AB, offset: 0xC8AB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.5, symObjAddr: 0x1B50, symBinAddr: 0x2130, symSize: 0x30 }
  - { offsetInCU: 0xC8D7, offset: 0xC8D7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.6, symObjAddr: 0x1B80, symBinAddr: 0x2160, symSize: 0x40 }
  - { offsetInCU: 0xC903, offset: 0xC903, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.7, symObjAddr: 0x1BC0, symBinAddr: 0x21A0, symSize: 0x30 }
  - { offsetInCU: 0xC92F, offset: 0xC92F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.8, symObjAddr: 0x1BF0, symBinAddr: 0x21D0, symSize: 0x40 }
...
